#include <stdio.h>

using namespace std;

int main()
{
    static int n, k, niz[10000000], p, br=0;
    scanf("%d%d", &n, &k);
    int i;
    for(i=0;i<n;i++)
    {
        scanf("%d", &p);
        niz[p+n]++;
        if(niz[p+n]==k)
            br++;
    }
    printf("%d\n", br);
    for(i=0;i<2*n+1;i++)
        if(niz[i]>=k)
        printf("%d ", i-n);
    return 0;
}